ncsa_auth(8)

NAME
ncsa_auth - NCSA httpd-style password file authentication helper for Squid

SYNOPSIS
ncsa_auth passwdfile

DESCRIPTION
ncsa_auth allows Squid to read and authenticate user and password information from an NCSA/Apache httpd-style password file when using basic HTTP authentication.

The only parameter is the password file. It must have permissions to be read by the user that Squid is running as (cache_effective_user in squid.conf).

This password file can be manipulated using htpasswd.

OPTIONS
Only specify the password file name.

EXAMPLE
ncsa_auth /etc/squid/squid.pass

SECURITY
ncsa_auth must have access to the password file to be executed.

SEE ALSO
htpasswd(1), squid(8)

AUTHOR
Manpage written by Rodrigo Rubira Branco <rrbranco@br.ibm.com>